---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp02t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x1D60, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52450, symBinAddr: 0x74B0, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54390, symBinAddr: 0x93F0, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54780, symBinAddr: 0x97E0, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55720, symBinAddr: 0xA780, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55730, symBinAddr: 0xA790, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x520C0, symBinAddr: 0x7350, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x520C4, symBinAddr: 0x7354, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x520C8, symBinAddr: 0x7358, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52210, symBinAddr: 0x7360, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x522C8, symBinAddr: 0x7418, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x522CC, symBinAddr: 0x741C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x522D0, symBinAddr: 0x7420, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x522D4, symBinAddr: 0x7424, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x522D8, symBinAddr: 0x7428, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x522E0, symBinAddr: 0x7430, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x522F0, symBinAddr: 0x7440, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x522F8, symBinAddr: 0x7448, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52300, symBinAddr: 0x7450, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52308, symBinAddr: 0x7458, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52310, symBinAddr: 0x7460, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52318, symBinAddr: 0x7468, symSize: 0x0 }
  - { offsetInCU: 0x94DD, offset: 0x94DD, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x5235C, symBinAddr: 0x747C, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x52360, symBinAddr: 0x7480, symSize: 0x0 }
  - { offsetInCU: 0x9510, offset: 0x9510, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52368, symBinAddr: 0x7488, symSize: 0x0 }
  - { offsetInCU: 0x9529, offset: 0x9529, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52370, symBinAddr: 0x7490, symSize: 0x0 }
  - { offsetInCU: 0x9542, offset: 0x9542, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x523B0, symBinAddr: 0x74A0, symSize: 0x0 }
  - { offsetInCU: 0x955B, offset: 0x955B, size: 0x8, addend: 0x0, symName: __ZL11threadsDesc, symObjAddr: 0xEC60, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0x9624, offset: 0x9624, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x9E0, symSize: 0x80 }
  - { offsetInCU: 0x96B9, offset: 0x96B9, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x930, symSize: 0xB0 }
  - { offsetInCU: 0x9714, offset: 0x9714, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x830, symSize: 0x100 }
  - { offsetInCU: 0x99A7, offset: 0x99A7, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xA60, symSize: 0xC0 }
  - { offsetInCU: 0x99F9, offset: 0x99F9, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xB20, symSize: 0x220 }
  - { offsetInCU: 0x9BDE, offset: 0x9BDE, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xD40, symSize: 0xA0 }
  - { offsetInCU: 0x9C91, offset: 0x9C91, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xDE0, symSize: 0x110 }
  - { offsetInCU: 0x9D87, offset: 0x9D87, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xEF0, symSize: 0x150 }
  - { offsetInCU: 0x9EE4, offset: 0x9EE4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1040, symSize: 0x30 }
  - { offsetInCU: 0x9FE5, offset: 0x9FE5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1070, symSize: 0x150 }
  - { offsetInCU: 0xA1DD, offset: 0xA1DD, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x11C0, symSize: 0x160 }
  - { offsetInCU: 0xA49D, offset: 0xA49D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1320, symSize: 0x4A0 }
  - { offsetInCU: 0xA710, offset: 0xA710, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x17C0, symSize: 0x1B0 }
  - { offsetInCU: 0xA92B, offset: 0xA92B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1970, symSize: 0xA0 }
  - { offsetInCU: 0xA9FA, offset: 0xA9FA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1A10, symSize: 0x20 }
  - { offsetInCU: 0xAA31, offset: 0xAA31, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1A30, symSize: 0x20 }
  - { offsetInCU: 0xAA68, offset: 0xAA68, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1A50, symSize: 0x20 }
  - { offsetInCU: 0xAC17, offset: 0xAC17, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1A70, symSize: 0x1A0 }
  - { offsetInCU: 0xAF33, offset: 0xAF33, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1C10, symSize: 0x150 }
  - { offsetInCU: 0xB0F0, offset: 0xB0F0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2000, symSize: 0x1D0 }
  - { offsetInCU: 0xB3EC, offset: 0xB3EC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x21D0, symSize: 0x80 }
  - { offsetInCU: 0xB4B5, offset: 0xB4B5, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2250, symSize: 0x6C0 }
  - { offsetInCU: 0xC02B, offset: 0xC02B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAB50, symBinAddr: 0x3E60, symSize: 0xB0 }
  - { offsetInCU: 0xC0A2, offset: 0xC0A2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2910, symSize: 0x70 }
  - { offsetInCU: 0xC15E, offset: 0xC15E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2980, symSize: 0xA0 }
  - { offsetInCU: 0xC23D, offset: 0xC23D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2A20, symSize: 0x40 }
  - { offsetInCU: 0xC333, offset: 0xC333, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2A60, symSize: 0x2B0 }
  - { offsetInCU: 0xC6D9, offset: 0xC6D9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2D10, symSize: 0xC0 }
  - { offsetInCU: 0xC81F, offset: 0xC81F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2DD0, symSize: 0x10 }
  - { offsetInCU: 0xC8E1, offset: 0xC8E1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2DE0, symSize: 0x240 }
  - { offsetInCU: 0xCBCA, offset: 0xCBCA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3020, symSize: 0x10 }
  - { offsetInCU: 0xCC27, offset: 0xCC27, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3030, symSize: 0x1F0 }
  - { offsetInCU: 0xCE88, offset: 0xCE88, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F10, symBinAddr: 0x3220, symSize: 0x10 }
  - { offsetInCU: 0xCEE5, offset: 0xCEE5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t001ThreadRunningNative_testedMethod, symObjAddr: 0x9F20, symBinAddr: 0x3230, symSize: 0x60 }
  - { offsetInCU: 0xCF55, offset: 0xCF55, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t001ThreadRunningNative_checkReady, symObjAddr: 0x9F80, symBinAddr: 0x3290, symSize: 0x40 }
  - { offsetInCU: 0xCFE1, offset: 0xCFE1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP02_sp02t001ThreadRunningNative_letFinish, symObjAddr: 0x9FC0, symBinAddr: 0x32D0, symSize: 0x10 }
  - { offsetInCU: 0xD15C, offset: 0xD15C, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FD0, symBinAddr: 0x32E0, symSize: 0xB80 }
  - { offsetInCU: 0xDBDE, offset: 0xDBDE, size: 0x8, addend: 0x0, symName: __ZL26suspendThreadsIndividuallyi, symObjAddr: 0xAF70, symBinAddr: 0x4280, symSize: 0x16A }
  - { offsetInCU: 0xDD3E, offset: 0xDD3E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC00, symBinAddr: 0x3F10, symSize: 0x370 }
...
